# Get an asset

Retrieves a single enriched asset by its ID.

Endpoint: GET /dam/assets/{id}
Version: 20260701

## Path parameters:

  - `id` (integer, required)

## Response 200 fields (application/json):

  - `id` (integer, required)

  - `name` (string, required)

  - `description` (string)

  - `dateCreated` (string, required)

  - `dateUpdated` (string, required)

  - `type` (string, required)
    Enum: "SOCIAL_POST_TEMPLATE"

  - `locationIds` (array)

  - `businessIds` (array)

  - `excludedLocationIds` (array)

  - `locationGroupIds` (array)

  - `startDate` (string, required)

  - `endDate` (string)

  - `status` (string, required)
    Enum: "HIDDEN", "VISIBLE"

  - `folderId` (integer)

  - `template` (object, required)

  - `template.id` (integer, required)

  - `template.isStoreLocator` (boolean)

  - `template.postType` (string)

  - `template.title` (string)

  - `template.description` (string)

  - `template.url` (string)

  - `template.author` (object)

  - `template.author.id` (integer, required)

  - `template.author.firstname` (string, required)

  - `template.author.lastname` (string, required)

  - `template.directories` (array)

  - `template.photos` (array)

  - `template.photoList` (array)

  - `template.photoList.photo` (string, required)

  - `template.photoList.description` (string)

  - `template.photoList.redirectUrl` (string)

  - `template.callToActions` (array)

  - `template.callToActions.type` (string)

  - `template.callToActions.url` (string)

  - `template.callToActions.directory` (string)

  - `template.videos` (array)

  - `template.tiktokInteractionSettings` (object)

  - `template.tiktokInteractionSettings.allowComment` (boolean)

  - `template.tiktokInteractionSettings.allowDuet` (boolean)

  - `template.tiktokInteractionSettings.allowStitch` (boolean)

  - `usageCount` (integer, required)

